Cyberduck Mountain Duck CLI

#8206 closed defect (fixed)

Connection fails with Broken transport; encountered EOF

Reported by: heckp Owned by: dkocher
Priority: normal Milestone: 4.6.2
Component: sftp Version: 4.5.2
Severity: critical Keywords:
Cc: Architecture: Intel
Platform: Windows 7

Description

When trying to open a SFTP Connection from the bookmarks the following is displayed in the status bar (german version):

  • ... laden
  • SFTP Verbindung öffnen zu ...

after that it keeps showing the bookmarks screen. No Error or Log is displayed.

Attachments (1)

cyberduck.log (275.8 KB) - added by heckp on Sep 5, 2014 at 4:12:13 PM.

Download all attachments as: .zip

Change History (13)

comment:1 Changed on Sep 5, 2014 at 2:51:34 PM by dkocher

Please attach the file cyberduck.log in the application support directory.

comment:2 Changed on Sep 5, 2014 at 2:52:29 PM by dkocher

  • Component changed from core to sftp
  • Owner set to dkocher
  • Summary changed from SFTP Connection fails to Connection fails

Changed on Sep 5, 2014 at 4:12:13 PM by heckp

comment:3 Changed on Sep 5, 2014 at 7:53:53 PM by dkocher

  • Milestone set to 4.5.3
  • Summary changed from Connection fails to Connection fails with Broken transport; encountered EOF

comment:4 Changed on Sep 5, 2014 at 7:54:29 PM by dkocher

2014-09-05 12:50:06,150 [reader] ERROR net.schmizz.sshj.transport.TransportImpl - Dying because - {}
net.schmizz.sshj.transport.TransportException: Broken transport; encountered EOF
        at net.schmizz.sshj.transport.Reader.run(Reader.java:59)

Last edited on Sep 5, 2014 at 7:54:45 PM by dkocher (previous) (diff)

comment:5 Changed on Oct 2, 2014 at 8:55:51 AM by dkocher

  • Resolution set to fixed
  • Status changed from new to closed

Please update to the latest snapshot build available which might display a proper error as of r15239.

comment:6 Changed on Oct 3, 2014 at 1:12:58 PM by heckp

r15241 still doesn't display any error. - But doesn't even add anyting to the cyberduck.log

comment:7 Changed on Nov 15, 2014 at 6:26:51 AM by mdunn

This ticket should not be closed/fixed - sftp downloads are still very much broken. I have tested the current nightly build (15770), which has not implemented a fix. From my system.log:

Nov 15 01:15:23 Cyberduck[5718]: 10.4-style NSDateFormatter method called on a 10.0-style formatter, which doesn't work. Break on _NSDateFormatter_Log_New_Methods_On_Old_$

Nov 15 01:15:41 Cyberduck[5718]: [reader] ERROR net.schmizz.sshj.transport.TransportImpl - Dying because - {}
  net.schmizz.sshj.transport.TransportException: Broken transport; encountered EOF
    at net.schmizz.sshj.transport.Reader.run(Reader.java:59)

Nov 15 01:15:41 Cyberduck[5718]: [background-1] ERROR net.schmizz.concurrent.Promise - <<chan#0 / close>> woke to: net.schmizz.sshj.connection.ConnectionException: Broken$
Last edited on Nov 18, 2014 at 9:02:49 PM by mdunn (previous) (diff)

comment:8 Changed on Nov 21, 2014 at 1:14:00 PM by heckp

Yes, I can confirm, that this is still broken. SFTP doesn't work at all for me on Windows.

comment:9 Changed on Nov 23, 2014 at 2:27:13 PM by heckp

Just tested it on 4.6. Still sftp just fails silently. My Log Output is below.

(I changed user and host)

2014-11-23 15:22:52,991 [Thread-0] DEBUG Ch.Cyberduck.Ui.Controller.BrowserController - Mount session for Host{credentials=Credentials{user='USER'}, hostname='SERVER', port=22, protocol=sftp}
2014-11-23 15:22:52,991 [Thread-0] INFO  ch.cyberduck.core.Cache - Clearing cache ch.cyberduck.core.Cache@3d34f2c
2014-11-23 15:22:52,992 [Thread-0] DEBUG ch.cyberduck.core.SessionFactory - Create session for Host{credentials=Credentials{user='USER'}, hostname='SERVER', port=22, protocol=sftp}
2014-11-23 15:22:52,999 [Thread-0] DEBUG ch.cyberduck.ui.AbstractController - Run action WorkerBackgroundAction{worker=MountWorker{session=Session{host=Host{credentials=Credentials{user='USER'}, hostname='SERVER', port=22, protocol=sftp}, state=closed}}, result=null} in background
2014-11-23 15:22:53,002 [Thread-0] DEBUG ch.cyberduck.ui.AbstractController - Synchronize on lock Session{host=Host{credentials=Credentials{user='USER'}, hostname='SERVER', port=22, protocol=sftp}, state=closed} for action WorkerBackgroundAction{worker=MountWorker{session=Session{host=Host{credentials=Credentials{user='USER'}, hostname='SERVER', port=22, protocol=sftp}, state=closed}}, result=null}
2014-11-23 15:22:53,002 [Thread-0] INFO  ch.cyberduck.ui.AbstractController - Scheduled background runnable WorkerBackgroundAction{worker=MountWorker{session=Session{host=Host{credentials=Credentials{user='USER'}, hostname='SERVER', port=22, protocol=sftp}, state=closed}}, result=null} for execution
2014-11-23 15:22:53,002 [background-1] DEBUG ch.cyberduck.ui.AbstractController - Acquired lock for background runnable WorkerBackgroundAction{worker=MountWorker{session=Session{host=Host{credentials=Credentials{user='USER'}, hostname='SERVER', port=22, protocol=sftp}, state=closed}}, result=null}
2014-11-23 15:22:53,002 [background-1] DEBUG ch.cyberduck.ui.AbstractController - Prepare background action WorkerBackgroundAction{worker=MountWorker{session=Session{host=Host{credentials=Credentials{user='USER'}, hostname='SERVER', port=22, protocol=sftp}, state=closed}}, result=null}
2014-11-23 15:22:53,002 [background-1] DEBUG ch.cyberduck.core.threading.AbstractBackgroundAction - Prepare background task WorkerBackgroundAction{worker=MountWorker{session=Session{host=Host{credentials=Credentials{user='USER'}, hostname='SERVER', port=22, protocol=sftp}, state=closed}}, result=null}
2014-11-23 15:22:53,006 [background-1] DEBUG ch.cyberduck.ui.AbstractController - Call background action WorkerBackgroundAction{worker=MountWorker{session=Session{host=Host{credentials=Credentials{user='USER'}, hostname='SERVER', port=22, protocol=sftp}, state=closed}}, result=null}
2014-11-23 15:22:53,013 [background-1] DEBUG ch.cyberduck.core.threading.NamedThreadFactory - Create thread for runnable ch.cyberduck.core.Resolver$1@5173
2014-11-23 15:22:53,015 [background-1] DEBUG ch.cyberduck.core.Resolver - Waiting for resolving of SERVER
2014-11-23 15:22:53,021 [resolver-1] INFO  ch.cyberduck.core.Resolver - Resolved SERVER to 136.199.91.253
2014-11-23 15:22:53,030 [background-1] DEBUG ch.cyberduck.core.Session - Connection will open to Host{credentials=Credentials{user='USER'}, hostname='SERVER', port=22, protocol=sftp}
2014-11-23 15:22:53,053 [background-1] INFO  ch.cyberduck.core.ProxySocketFactory - Use target hostname ch.cyberduck.core.sftp.SFTPSession$1@568a3 determined from callback SERVER for proxy configuration
2014-11-23 15:22:55,351 [background-1] INFO  net.schmizz.sshj.transport.TransportImpl - Client identity string: SSH-2.0-Cyberduck/4.6 (15810) (Windows 7/6.1) (x86)
2014-11-23 15:22:55,397 [background-1] INFO  net.schmizz.sshj.transport.TransportImpl - Server identity string: SSH-2.0-OpenSSH_5.9p1 Debian-5ubuntu1.4
2014-11-23 15:22:55,399 [background-1] DEBUG net.schmizz.concurrent.Promise - Setting <<kex done>> to `null`
2014-11-23 15:22:55,399 [background-1] DEBUG net.schmizz.sshj.transport.KeyExchanger - Sending SSH_MSG_KEXINIT
2014-11-23 15:22:55,399 [background-1] DEBUG net.schmizz.concurrent.Promise - Setting <<kexinit sent>> to `SOME`
2014-11-23 15:22:55,399 [background-1] DEBUG net.schmizz.concurrent.Promise - Awaiting <<kex done>>
2014-11-23 15:22:55,446 [reader] DEBUG net.schmizz.sshj.transport.KeyExchanger - Received SSH_MSG_KEXINIT
2014-11-23 15:22:55,446 [reader] DEBUG net.schmizz.sshj.transport.KeyExchanger - Negotiated algorithms: [ kex=diffie-hellman-group14-sha1; sig=ecdsa-sha2-nistp256; c2sCipher=aes128-ctr; s2cCipher=aes128-ctr; c2sMAC=hmac-sha1; s2cMAC=hmac-sha1; c2sComp=zlib@openssh.com; s2cComp=zlib@openssh.com ]
2014-11-23 15:22:55,593 [reader] DEBUG net.schmizz.sshj.transport.kex.DHG14 - Sending SSH_MSG_KEXDH_INIT
2014-11-23 15:22:55,720 [reader] DEBUG net.schmizz.sshj.transport.KeyExchanger - Received kex followup data
2014-11-23 15:22:55,720 [reader] DEBUG net.schmizz.sshj.transport.kex.DHG14 - Received SSH_MSG_KEXDH_REPLY
2014-11-23 15:22:55,720 [reader] DEBUG net.schmizz.sshj.common.KeyType$3 - Key algo: ecdsa-sha2-nistp256, Key curve: nistp256, Key Len: 65, 0x04: 4
x: [-123, -74, -76, -18, 121, 91, 81, -38, 92, 96, 44, -61, 37, 55, -73, -107, -101, 45, 78, -8, 95, -43, 23, 107, -32, -109, 2, 56, -110, 0, 18, -50]
y: [-115, 19, 113, -55, -88, -117, -4, 19, 37, -112, 82, -125, -21, -108, -40, -80, -106, 77, -113, 70, 3, -13, -99, -87, -29, 36, 2, 31, 30, 105, 111, 70]
2014-11-23 15:22:55,874 [reader] DEBUG net.schmizz.sshj.transport.KeyExchanger - Trying to verify host key with ch.cyberduck.core.sftp.SFTPSession$2@ad0b1a
2014-11-23 15:22:55,874 [reader] DEBUG net.schmizz.sshj.transport.KeyExchanger - Sending SSH_MSG_NEWKEYS
2014-11-23 15:22:55,874 [reader] DEBUG net.schmizz.sshj.transport.KeyExchanger - Received SSH_MSG_NEWKEYS
2014-11-23 15:22:55,875 [reader] DEBUG net.schmizz.concurrent.Promise - Setting <<kexinit sent>> to `null`
2014-11-23 15:22:55,875 [reader] DEBUG net.schmizz.concurrent.Promise - Setting <<kex done>> to `SOME`
2014-11-23 15:22:55,875 [background-1] DEBUG net.schmizz.sshj.SSHClient - Key exchange took 0.476 seconds
2014-11-23 15:22:55,875 [background-1] DEBUG ch.cyberduck.core.Session - Connection did open to Host{credentials=Credentials{user='USER'}, hostname='SERVER', port=22, protocol=sftp}
2014-11-23 15:22:55,876 [background-1] DEBUG ch.cyberduck.core.KeychainLoginService - Validate login credentials for Host{credentials=Credentials{user='USER'}, hostname='SERVER', port=22, protocol=sftp}
2014-11-23 15:22:55,876 [background-1] INFO  ch.cyberduck.core.KeychainLoginService - Fetching password from keychain for Host{credentials=Credentials{user='USER'}, hostname='SERVER', port=22, protocol=sftp}
2014-11-23 15:22:55,882 [background-1] DEBUG ch.cyberduck.core.KeychainLoginService - Attempt authentication for Host{credentials=Credentials{user='USER'}, hostname='SERVER', port=22, protocol=sftp}
2014-11-23 15:22:55,882 [background-1] DEBUG ch.cyberduck.core.threading.AbstractBackgroundAction - Finish background task WorkerBackgroundAction{worker=MountWorker{session=Session{host=Host{credentials=Credentials{user='USER'}, hostname='SERVER', port=22, protocol=sftp}, state=open}}, result=null}
2014-11-23 15:22:55,883 [background-1] DEBUG ch.cyberduck.core.threading.BackgroundActionRegistry - Remove action WorkerBackgroundAction{worker=MountWorker{session=Session{host=Host{credentials=Credentials{user='USER'}, hostname='SERVER', port=22, protocol=sftp}, state=open}}, result=null}
2014-11-23 15:22:55,883 [background-1] DEBUG ch.cyberduck.ui.AbstractController - Invoke cleanup for background action WorkerBackgroundAction{worker=MountWorker{session=Session{host=Host{credentials=Credentials{user='USER'}, hostname='SERVER', port=22, protocol=sftp}, state=open}}, result=null}
2014-11-23 15:22:55,884 [Thread-0] DEBUG ch.cyberduck.core.threading.BackgroundActionRegistry - Remove action WorkerBackgroundAction{worker=MountWorker{session=Session{host=Host{credentials=Credentials{user='USER'}, hostname='SERVER', port=22, protocol=sftp}, state=open}}, result=null}
2014-11-23 15:22:55,884 [Thread-0] WARN  ch.cyberduck.ui.threading.WorkerBackgroundAction - Missing result for worker MountWorker{session=Session{host=Host{credentials=Credentials{user='USER'}, hostname='SERVER', port=22, protocol=sftp}, state=open}}. Use default value.
2014-11-23 15:22:55,885 [Thread-0] DEBUG ch.cyberduck.ui.AbstractController - Run action WorkerBackgroundAction{worker=DisconnectWorker{session=Session{host=Host{credentials=Credentials{user='USER'}, hostname='SERVER', port=22, protocol=sftp}, state=open}}, result=null} in background
2014-11-23 15:22:55,885 [Thread-0] DEBUG ch.cyberduck.ui.AbstractController - Synchronize on lock Session{host=Host{credentials=Credentials{user='USER'}, hostname='SERVER', port=22, protocol=sftp}, state=open} for action WorkerBackgroundAction{worker=DisconnectWorker{session=Session{host=Host{credentials=Credentials{user='USER'}, hostname='SERVER', port=22, protocol=sftp}, state=open}}, result=null}
2014-11-23 15:22:55,885 [Thread-0] INFO  ch.cyberduck.ui.AbstractController - Scheduled background runnable WorkerBackgroundAction{worker=DisconnectWorker{session=Session{host=Host{credentials=Credentials{user='USER'}, hostname='SERVER', port=22, protocol=sftp}, state=open}}, result=null} for execution
2014-11-23 15:22:55,885 [background-1] DEBUG ch.cyberduck.ui.AbstractController - Releasing lock for background runnable WorkerBackgroundAction{worker=MountWorker{session=Session{host=Host{credentials=Credentials{user='USER'}, hostname='SERVER', port=22, protocol=sftp}, state=open}}, result=null}
2014-11-23 15:22:55,886 [background-1] DEBUG ch.cyberduck.ui.AbstractController - Acquired lock for background runnable WorkerBackgroundAction{worker=DisconnectWorker{session=Session{host=Host{credentials=Credentials{user='USER'}, hostname='SERVER', port=22, protocol=sftp}, state=open}}, result=null}
2014-11-23 15:22:55,886 [background-1] DEBUG ch.cyberduck.ui.AbstractController - Prepare background action WorkerBackgroundAction{worker=DisconnectWorker{session=Session{host=Host{credentials=Credentials{user='USER'}, hostname='SERVER', port=22, protocol=sftp}, state=open}}, result=null}
2014-11-23 15:22:55,886 [background-1] DEBUG ch.cyberduck.core.threading.AbstractBackgroundAction - Prepare background task WorkerBackgroundAction{worker=DisconnectWorker{session=Session{host=Host{credentials=Credentials{user='USER'}, hostname='SERVER', port=22, protocol=sftp}, state=open}}, result=null}
2014-11-23 15:22:55,900 [background-1] DEBUG ch.cyberduck.ui.AbstractController - Call background action WorkerBackgroundAction{worker=DisconnectWorker{session=Session{host=Host{credentials=Credentials{user='USER'}, hostname='SERVER', port=22, protocol=sftp}, state=open}}, result=null}
2014-11-23 15:22:55,901 [background-1] DEBUG ch.cyberduck.core.threading.AbstractBackgroundAction - Run background task WorkerBackgroundAction{worker=DisconnectWorker{session=Session{host=Host{credentials=Credentials{user='USER'}, hostname='SERVER', port=22, protocol=sftp}, state=open}}, result=null}
2014-11-23 15:22:55,901 [background-1] DEBUG ch.cyberduck.ui.threading.WorkerBackgroundAction - Run worker DisconnectWorker{session=Session{host=Host{credentials=Credentials{user='USER'}, hostname='SERVER', port=22, protocol=sftp}, state=open}}
2014-11-23 15:22:55,901 [background-1] DEBUG ch.cyberduck.core.Session - Connection will close to Host{credentials=Credentials{user='USER'}, hostname='SERVER', port=22, protocol=sftp}
2014-11-23 15:22:55,901 [background-1] WARN  ch.cyberduck.core.sftp.SFTPSession - Disconnected BY_APPLICATION
2014-11-23 15:22:55,901 [background-1] DEBUG net.schmizz.sshj.transport.TransportImpl$NullService - Notified of net.schmizz.sshj.transport.TransportException: [BY_APPLICATION] Disconnected
2014-11-23 15:22:55,901 [background-1] DEBUG net.schmizz.sshj.transport.TransportImpl - Sending SSH_MSG_DISCONNECT: reason=[BY_APPLICATION], msg=[]
2014-11-23 15:22:55,901 [background-1] DEBUG net.schmizz.concurrent.Promise - Setting <<transport close>> to `SOME`
2014-11-23 15:22:55,901 [background-1] DEBUG ch.cyberduck.core.Session - Connection did close to Host{credentials=Credentials{user='USER'}, hostname='SERVER', port=22, protocol=sftp}
2014-11-23 15:22:55,901 [background-1] DEBUG ch.cyberduck.core.threading.AbstractBackgroundAction - Finish background task WorkerBackgroundAction{worker=DisconnectWorker{session=Session{host=Host{credentials=Credentials{user='USER'}, hostname='SERVER', port=22, protocol=sftp}, state=closed}}, result=null}
2014-11-23 15:22:55,902 [background-1] DEBUG ch.cyberduck.core.threading.BackgroundActionRegistry - Remove action WorkerBackgroundAction{worker=DisconnectWorker{session=Session{host=Host{credentials=Credentials{user='USER'}, hostname='SERVER', port=22, protocol=sftp}, state=closed}}, result=null}
2014-11-23 15:22:55,902 [background-1] DEBUG ch.cyberduck.ui.AbstractController - Invoke cleanup for background action WorkerBackgroundAction{worker=DisconnectWorker{session=Session{host=Host{credentials=Credentials{user='USER'}, hostname='SERVER', port=22, protocol=sftp}, state=closed}}, result=null}
2014-11-23 15:22:55,902 [Thread-0] DEBUG ch.cyberduck.core.threading.BackgroundActionRegistry - Remove action WorkerBackgroundAction{worker=DisconnectWorker{session=Session{host=Host{credentials=Credentials{user='USER'}, hostname='SERVER', port=22, protocol=sftp}, state=closed}}, result=null}
2014-11-23 15:22:55,902 [Thread-0] WARN  ch.cyberduck.ui.threading.WorkerBackgroundAction - Missing result for worker DisconnectWorker{session=Session{host=Host{credentials=Credentials{user='USER'}, hostname='SERVER', port=22, protocol=sftp}, state=closed}}. Use default value.
2014-11-23 15:22:55,902 [Thread-0] INFO  ch.cyberduck.core.Cache - Clearing cache ch.cyberduck.core.Cache@3d34f2c
2014-11-23 15:22:55,903 [background-1] DEBUG ch.cyberduck.ui.AbstractController - Releasing lock for background runnable WorkerBackgroundAction{worker=DisconnectWorker{session=Session{host=Host{credentials=Credentials{user='USER'}, hostname='SERVER', port=22, protocol=sftp}, state=closed}}, result=null}
2014-11-23 15:22:55,910 [reader] DEBUG net.schmizz.sshj.transport.Reader - Stopping

comment:10 Changed on Nov 25, 2014 at 2:55:42 PM by dkocher

  • Milestone changed from 4.6 to 4.6.1
  • Resolution fixed deleted
  • Status changed from closed to reopened

#8339 closed as duplicate.

comment:11 Changed on Nov 25, 2014 at 3:55:19 PM by dkocher

More logging in r15844.

comment:12 Changed on Jan 12, 2015 at 4:19:52 PM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed

This is possibly fixed in r16384 with changes from upstream. Please update to the latest snapshot build available.

Note: See TracTickets for help on using tickets.
swiss made software